Skip to content
Guides
API reference
stable

Get storefront collection by slug

Returns one collection with its name, description and media. The products it contains are fetched from the catalog search using the collection filter.

GET/v1/collections/{slug}

Returns one collection with its name, description and media. The products it contains are fetched from the catalog search using the collection filter.

Path Parameters

slug*string

URL-friendly identifier.

Query Parameters

sellerId?null|string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/collections/string"
{  "id": "string",  "slug": "string",  "name": "string",  "description": null,  "imageUrl": null,  "type": "string",  "productCount": 0}